<div class="booking">
  <h3 class="booking-price">${{rental.dailyRate}} <span class="booking-per-night">/day</span></h3>
  <hr>
  <form #bookingForm="ngForm">
    <label>Dates</label>
      <input type="text" class="form-control daterangepicker-input" name="daterangeInput" daterangepicker [options]="options" (selected)="selectedDate($event, daterange)"
       />
       <div class="form-group">
       </div>
    </form>
  <button (click)="openConfirmModal(content)" 
           [disabled]="!bookingForm.form.valid || !newBooking.startAt || !newBooking.endAt" 
            class="btn btn-danger btn-confirm btn-block">
            Reserve ski now
  </button>
  <hr>
  <p class="booking-note-title"></p>
  <p class="booking-note-text">
    More than 125 people checked this ski in the last week.
  </p>
</div>


<ng-template #content let-c="close" let-d="dismiss">
  <div class ="modal-header">
    <h4 class="modal-title">Modal title</h4>
    <button type ="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <p>Days: <b>{{newBooking.days}}</b></p>
    <p>Total price:  <b>{{newBooking.totalPrice}}$</b></p>
    <p>Start:  <b>{{newBooking.startAt}}</b></p>
    <p>End:  <b>{{newBooking.endAt}}</b></p>
    <p></p>
    <p>Do you confirm the booking?</p>
  </div>
  <div *ngIf="errors.length > 0" class="alert alert-danger modal-error">
    <p *ngFor="let error of errors">
      {{error.detail}}
    </p>
  </div>
  <div class ="modal-footer">
    <button type="button" class="btn btn-outline-dark" (click)="createBooking()">Confirm</button>
    <button type="button" class="btn btn-outline-dark" (click)="c('Close click')">Close</button>
  </div>
</ng-template>

